#include <QtGui/QApplication>
#include "mainwindow.h"
//#define _WINRAD_PLUGIN_
#ifdef _WINRAD_PLUGIN_

extern QThread MyApp;
extern QApplication  *a;
extern MainWindow    *w;
#include <windows.h>
//extern "C"
__declspec(dllexport) int dll_main(int argc, char *argv[])
{
    if (!a) a = new QApplication(argc, argv);
    if(!w) w = new MainWindow();
    if(w)
    {
        w->setWindowIcon(QIcon(":/new/prefix1/images/app_icon1.png"));
        w->show();
    }
    if(a) a->exec();
    return 0;
}
#else
    #ifdef _LINRAD_PLUGIN_
        extern "C" int dll_main(int argc, char *argv[])
        {
            QApplication a(argc, argv);
            MainWindow w;
            w.setWindowIcon(QIcon(":/new/prefix1/images/app_icon1.png"));
            w.show();
            return a.exec();
        }
    #else
        int main(int argc, char *argv[])
        {
            QApplication a(argc, argv);
            MainWindow w;
            w.setWindowIcon(QIcon(":/new/prefix1/images/app_icon1.png"));
            w.show();
            return a.exec();
        }
    #endif//_LINRAD_PLUGIN_
#endif
