#ifndef _UDP_DEFINITIONS_
	#define _UDP_DEFINITIONS_
//	#define STREAM_BUFFER_MULTIPLIER    4
//	#define EXTIO_NUMBER_OF_SAMPLES  (512*STREAM_BUFFER_MULTIPLIER)
//	#define EXTIO_NUMBER_OF_BYTES (EXTIO_NUMBER_OF_SAMPLES*4)
//	#define STREAM_ARRAY_SIZE   (256L*EXTIO_NUMBER_OF_BYTES)//0x40000
//	#define STREAM_ARRAY_MASK   (STREAM_ARRAY_SIZE-1)

//	#define UDP_PACKET_DATA_SIZE 1024
//	#define UDP_PACKET_SIZE (UDP_PACKET_DATA_SIZE + 4)

        #define AFEDRI_SINGLE_CHANNEL 0
        #define AFEDRI_CH1 0
        #define AFEDRI_CH2 2
        #define UDP_PROTCOL_ID1  0x04
        #define UDP_PROTCOL_ID2  0x18
        int UDP_Init(unsigned short UDP_Port);
	void UDP_Close();
        class UDP_App : public QThread
        {
            public:
            int diversity_flag;
            int udp_broadcast_flag;
            int udp_multicast_flag;
            QMutex mutex_diversity_flag, mutex_broadcast;
            QMutex mutex_rx_channel;
            volatile int udp_stop_flag;
            volatile int network_start_flag;
            volatile int packet_counter;
            volatile int rx_channel_number;
            volatile char udp_protocol_id;
            volatile char udp_broadcast_channel;
            char udp_broadcast_rf_gain;
            char udp_broadcast_fe_gain;
            int error_counter;
            volatile quint32 udp_broadcast_sample_rate;
            volatile quint32 udp_broadcast_freq1;
            volatile quint32 udp_broadcast_freq2;
            void SetDiversityMode(int mode);
            void SetBroadCastFlag(int flag);
            void SetRxChannelNumber(int number);
            void SetNetworkFlag(int flag);
            void SetUDPFlag(int flag);
            int GetBroadCastFlag();
            int GetDiversityMode();
            int GetRxChannelNumber();
            int Stream_Data_Copy(char *dest, char *src, int size);
            int UDP_Process();
            void run();
        };
        extern UDP_App UDPApp;

//	extern volatile int udp_flag;
//	extern volatile int network_start_flag;
//	extern char *pDataBuf;
//        extern volatile int rx_channel_number;
//        extern volatile int diversity_flag;
#endif

//End Of File


